# LineStyleGeometryModifiers(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``LineStyleGeometryModifiers`(bpy_struct)

  Geometry modifiers for changing line geometrys

  `new`(name, type)

    Add a geometry modifier to line style

    Parameters: | name (string, (never None)) – New name for the geometry modifier (not unique) type (enum in [‘2D_OFFSET’, ‘2D_TRANSFORM’, ‘BACKBONE_STRETCHER’, ‘BEZIER_CURVE’, ‘BLUEPRINT’, ‘GUIDING_LINES’, ‘PERLIN_NOISE_1D’, ‘PERLIN_NOISE_2D’, ‘POLYGONIZATION’, ‘SAMPLING’, ‘SIMPLIFICATION’, ‘SINUS_DISPLACEMENT’, ‘SPATIAL_NOISE’, ‘TIP_REMOVER’]) – Geometry modifier type to add
    Returns: | Newly added geometry modifier
    Return type: | `LineStyleGeometryModifier`

  `remove`(modifier)

    Remove a geometry modifier from line style

    Parameters: | modifier (`LineStyleGeometryModifier`, (never None)) – Geometry modifier to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`FreestyleLineStyle.geometry_modifiers` |